%define         kdeframever     5.39
%define		qtver           5.3.2
%define		kfname		frameworkintegration

Summary:	HTML rendering engine
Name:		kf5-%{kfname}
Version:	5.39.0
Release:	2
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	e1fc63110324e5a98f967d4afe884dd6
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	fonts-TTF-KDE-Oxygen-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-attica-devel >= %{version}
BuildRequires:	kf5-extra-cmake-modules >= 1.0.0
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kbookmarks-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= 5.0.0
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kglobalaccel-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kjobwidgets-devel >= %{version}
BuildRequires:	kf5-knotifications-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-ktextwidgets-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	kf5-solid-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KHTML is a web rendering engine, based on the KParts technology and
using KJS for JavaScript support.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %ghost %{_libdir}/libKF5Style.so.5
%attr(755,root,root) %{_libdir}/libKF5Style.so.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/FrameworkIntegrationPlugin.so
#%%attr(755,root,root) %{_libdir}/qt5/plugins/platformthemes/KDEPlatformTheme.so
%{_datadir}/knotifications5/plasma_workspace.notifyrc
#%%{_datadir}/kconf_update/frameworksintegration-5.16-font.sh
#%%{_datadir}/kconf_update/frameworksintegration-5.16-font.upd
%dir %{_libdir}/kf5/kpackagehandlers
%attr(755,root,root) %{_libdir}/kf5/kpackagehandlers/knshandler
%dir %{_datadir}/kf5/infopage
%{_datadir}/kf5/infopage/bar-bottom-left.png
%{_datadir}/kf5/infopage/bar-bottom-middle.png
%{_datadir}/kf5/infopage/bar-bottom-right.png
%{_datadir}/kf5/infopage/bar-middle-left.png
%{_datadir}/kf5/infopage/bar-middle-right.png
%{_datadir}/kf5/infopage/bar-top-left.png
%{_datadir}/kf5/infopage/bar-top-middle.png
%{_datadir}/kf5/infopage/bar-top-right.png
%{_datadir}/kf5/infopage/body-background.png
%{_datadir}/kf5/infopage/box-bottom-left.png
%{_datadir}/kf5/infopage/box-bottom-middle.png
%{_datadir}/kf5/infopage/box-bottom-right.png
%{_datadir}/kf5/infopage/box-center.png
%{_datadir}/kf5/infopage/box-middle-left.png
%{_datadir}/kf5/infopage/box-middle-right.png
%{_datadir}/kf5/infopage/box-top-left.png
%{_datadir}/kf5/infopage/box-top-middle.png
%{_datadir}/kf5/infopage/box-top-right.png
%{_datadir}/kf5/infopage/kde_infopage.css
%{_datadir}/kf5/infopage/kde_infopage_rtl.css
%{_datadir}/kf5/infopage/top-middle.png

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KStyle
%{_includedir}/KF5/frameworkintegration_version.h
%{_libdir}/cmake/KF5FrameworkIntegration
%attr(755,root,root) %{_libdir}/libKF5Style.so
%changelog
* Mon Oct 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-frameworkintegration.git;a=log;h=master

* Mon Oct 23 2017 Jan Rękorajski <baggins@pld-linux.org> 773d5c6
- add missing dir
- rel 2

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 2e4cd00
- updated to 5.39.0

* Sun Jul 10 2016 Witold Filipczyk <witekfl@poczta.onet.pl> aac6cfb
- really update to 5.24.0

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 959d9ba
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 10aa4ab
- updated to 5.23

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 10d1c12
- updated to 5.19.0

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 10bcdac
- up to 5.13.0

* Sun May 24 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a039d1f
- up to 5.10

* Fri Jul 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4c2d78b
- new

